=== debian/control ===
Source: creduce
Section: devel
Priority: optional
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Build-Depends: debhelper (>= 12), dh-autoreconf,
  flex,
  libedit-dev, zlib1g-dev,
  llvm-11-dev [!armel !armhf], libclang-11-dev [!armel !armhf], libclang-cpp11-dev [!armel !armhf],
  clang-11 [!armel !armhf], clang-format-11 [!armel !armhf],
  llvm-9-dev [armel armhf], libclang-9-dev [armel armhf],
  clang-9 [armel armhf], clang-format-9 [armel armhf],
  libbenchmark-timer-perl,
  libfile-which-perl, libregexp-common-perl, libexporter-lite-perl,
  libgetopt-tabular-perl, libterm-readkey-perl,
  frama-c-base <!nocheck>
Build-Conflicts: kcc
Standards-Version: 4.5.1
Homepage: http://embed.cs.utah.edu/creduce/

Package: creduce
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
  clang-format-11 [!armel !armhf],
  clang-format-9 [armel armhf],
  libbenchmark-timer-perl,
  libfile-which-perl, libregexp-common-perl, libexporter-lite-perl,
  libgetopt-tabular-perl, libterm-readkey-perl,
Recommends: gcc | clang
Description: Test-Case Reduction for C Compiler Bugs
 C-Reduce is a tool which takes a large C or C++ program that has a
 property of interest (such as triggering a compiler bug) and
 automatically produces a much smaller C/C++ program that has the same
 property.  It is intended for use by people who discover and report
 bugs in compilers and other tools that process C/C++ code.
