=== debian/rules ===
--- 
+++ 
@@ -6,12 +6,12 @@
 
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
-CLANG_V	= 11
-ifneq (,$(filter $(DEB_HOST_ARCH), armel armhf))
-  CLANG_V=9
-else
-  CLANG_V=11
-endif
+CLANG_V	= 13
+#ifneq (,$(filter $(DEB_HOST_ARCH), armel armhf))
+#  CLANG_V=9
+#else
+#  CLANG_V=11
+#endif
 CLANG	= clang-$(CLANG_V)
 GCC	= gcc
