## creduce 2.11.0~20230819

=== debian/changelog ===
creduce (2.11.0~20230819-1) unstable; urgency=medium

  * New upstream snapshot, taken from master branch.
  * Build using LLVM 16. Closes: #1043127.
  * Build in a separate builddir. Closes: #1045055.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sat, 19 Aug 2023 10:30:41 +0200
