=== debian/control ===
--- 
+++ 
@@ -6,24 +6,20 @@
 Build-Depends: debhelper (>= 13), dh-autoreconf,
   flex,
   libedit-dev, zlib1g-dev,
-  llvm-13-dev, libclang-13-dev, libclang-cpp13-dev,
-  clang-13, clang-format-13,
-#  llvm-11-dev [!armel !armhf], libclang-11-dev [!armel !armhf], libclang-cpp11-dev [!armel !armhf],
-#  clang-11 [!armel !armhf], clang-format-11 [!armel !armhf],
-#  llvm-9-dev [armel armhf], libclang-9-dev [armel armhf],
-#  clang-9 [armel armhf], clang-format-9 [armel armhf],
+  llvm-16-dev, libclang-16-dev, libclang-cpp16-dev,
+  clang-16, clang-format-16,
   libbenchmark-timer-perl,
   libfile-which-perl, libregexp-common-perl, libexporter-lite-perl,
   libgetopt-tabular-perl, libterm-readkey-perl,
   frama-c-base <!nocheck>
 Build-Conflicts: kcc
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: http://embed.cs.utah.edu/creduce/
 
 Package: creduce
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-  clang-format-13,
+  clang-format-16,
   libbenchmark-timer-perl,
   libfile-which-perl, libregexp-common-perl, libexporter-lite-perl,
   libgetopt-tabular-perl, libterm-readkey-perl,
