=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
-CLANG_V	= 13
+CLANG_V	= 16
 #ifneq (,$(filter $(DEB_HOST_ARCH), armel armhf))
 #  CLANG_V=9
 #else
@@ -20,7 +20,7 @@
 endif
 
 %:
-	dh $@  --with autoreconf --parallel
+	dh $@  --builddirectory=build --with autoreconf --parallel
 
 override_dh_auto_configure:
 	dh_auto_configure -- --with-llvm=/usr/lib/llvm-$(CLANG_V) CLANG_FORMAT=clang-format-$(CLANG_V)
@@ -30,8 +30,8 @@
 
 ifeq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
 	if which help2man >/dev/null 2>&1; then \
-	  v=$$(creduce/creduce --help| awk '/^creduce/ { print $$2 }'); \
-	  help2man --no-info --name='C and C++ program reducer' --version-string=$$v creduce/creduce > debian/creduce.1; \
+	  v=$$(build/creduce/creduce --help| awk '/^creduce/ { print $$2 }'); \
+	  help2man --no-info --name='C and C++ program reducer' --version-string=$$v build/creduce/creduce > debian/creduce.1; \
 	fi
 endif
