## creduce 2.11.0~20231125

=== debian/changelog ===
creduce (2.11.0~20231125-2) unstable; urgency=medium

  * Build using LLVM 17.0.6.

 -- Matthias Klose <doko@debian.org>  Sun, 10 Dec 2023 19:31:30 +0100

creduce (2.11.0~20231125-1) unstable; urgency=medium

  * New upstream snapshot, taken from master branch.
  * Update home page. Closes: #1050849.
  * Update watch file.

 -- Matthias Klose <doko@debian.org>  Sat, 25 Nov 2023 09:27:49 +0100

creduce (2.11.0~20230819-2) unstable; urgency=medium

  * Build using LLVM 17.

 -- Matthias Klose <doko@debian.org>  Fri, 17 Nov 2023 08:18:35 +0100
