=== debian/control ===
--- 
+++ 
@@ -3,23 +3,23 @@
 Priority: optional
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
-Build-Depends: debhelper (>= 13), dh-autoreconf,
+Build-Depends: debhelper (>= 13),
   flex,
   libedit-dev, zlib1g-dev,
-  llvm-16-dev, libclang-16-dev, libclang-cpp16-dev,
-  clang-16, clang-format-16,
+  llvm-17-dev, libclang-17-dev, libclang-cpp17-dev,
+  clang-17 (>= 1:17.0.6), clang-format-17,
   libbenchmark-timer-perl,
   libfile-which-perl, libregexp-common-perl, libexporter-lite-perl,
   libgetopt-tabular-perl, libterm-readkey-perl,
   frama-c-base <!nocheck>
 Build-Conflicts: kcc
 Standards-Version: 4.6.2
-Homepage: http://embed.cs.utah.edu/creduce/
+Homepage: https://github.com/csmith-project/creduce
 
 Package: creduce
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-  clang-format-16,
+  clang-format-17,
   libbenchmark-timer-perl,
   libfile-which-perl, libregexp-common-perl, libexporter-lite-perl,
   libgetopt-tabular-perl, libterm-readkey-perl,
