=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
-CLANG_V	= 16
+CLANG_V	= 17
 #ifneq (,$(filter $(DEB_HOST_ARCH), armel armhf))
 #  CLANG_V=9
 #else
