=== debian/changelog ===
creduce (2.11.0~20240312-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:41:59 +1100

creduce (2.11.0~20240312-1) unstable; urgency=medium

  * Build using LLVM 18.

 -- Matthias Klose <doko@debian.org>  Tue, 12 Mar 2024 16:27:13 +0100
