=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: creduce
 Section: devel
 Priority: optional
-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper (>= 13),
   flex,
   libedit-dev, zlib1g-dev,
-  llvm-17-dev, libclang-17-dev, libclang-cpp17-dev,
-  clang-17 (>= 1:17.0.6), clang-format-17,
+  llvm-18-dev, libclang-18-dev, libclang-cpp18-dev,
+  clang-18, clang-format-18,
   libbenchmark-timer-perl,
   libfile-which-perl, libregexp-common-perl, libexporter-lite-perl,
   libgetopt-tabular-perl, libterm-readkey-perl,
