## creduce 2.11.0~20240909

=== CMakeLists.txt ===
--- 
+++ 
@@ -34,6 +34,18 @@
 #
 find_package(Clang REQUIRED CONFIG NO_CMAKE_BUILDS_PATH)
 message(STATUS "Using ClangConfig.cmake in ${Clang_DIR}")
+
+# Enable appropriate C++ standard based on LLVM version
+if(LLVM_VERSION_MAJOR LESS 10)
+  set(CMAKE_CXX_STANDARD 11)
+elseif(LLVM_VERSION_MAJOR LESS 16)
+  set(CMAKE_CXX_STANDARD 14)
+else()
+  set(CMAKE_CXX_STANDARD 17)
+endif()
+# Make sure compiler appropriate C++ flags are added
+set(CMAKE_CXX_STANDARD_REQUIRED True)
+set(CMAKE_CXX_EXTENSIONS OFF)
 
 # Locate Perl and check its version.
 #
@@ -116,12 +128,13 @@
     OR CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
   # XXX figure out how to get "-std=c++11 -fno-rtti" from LLVM.  That's how we
   # get those options in the Automake path...
-  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -fno-rtti -fno-strict-aliasing -Wall -Wextra -Wno-long-long -Wno-unused-parameter -Wno-missing-field-initializers")
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-rtti -fno-strict-aliasing -Wall -Wextra -Wno-long-long -Wno-unused-parameter -Wno-missing-field-initializers")
   if(SUPPORTS_FVISIBILITY_INLINES_HIDDEN_FLAG)
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility-inlines-hidden")
   endif()
   set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -O3")
 endif()
+
 
 ###############################################################################
