=== clang_delta/CMakeLists.txt ===
--- 
+++ 
@@ -85,9 +85,21 @@
   support
 )
 
-set(CLANG_LIBS
-  clang-cpp
-)
+if (${LLVM_LINK_LLVM_DYLIB})
+  set(CLANG_LIBS
+    clang-cpp
+    LLVM
+  )
+else()
+  set(CLANG_LIBS
+    clangAST
+    clangBasic
+    clangFrontend
+    clangParse
+    clangLex
+    clangRewrite
+  )
+endif()
 
 add_executable(clang_delta
   ${CMAKE_BINARY_DIR}/config.h
