=== debian/changelog ===
creduce (2.11.0~20240909-2) unstable; urgency=medium

  * Remove build dependency on frama-c, removed from testing.

 -- Matthias Klose <doko@debian.org>  Mon, 10 Feb 2025 12:50:32 +0100

creduce (2.11.0~20240909-1) unstable; urgency=medium

  * New upstream snapshot.
  * Build using LLVM 19.
  * Depend on the corresponding clang-format version. Closes: #1079856.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Mon, 09 Sep 2024 18:41:12 +0200
