=== debian/control ===
--- 
+++ 
@@ -1,26 +1,25 @@
 Source: creduce
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
+Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper (>= 13),
   flex,
   libedit-dev, zlib1g-dev,
-  llvm-18-dev, libclang-18-dev, libclang-cpp18-dev,
-  clang-18, clang-format-18,
+  llvm-19-dev, libclang-19-dev, libclang-cpp19-dev,
+  clang-19, clang-format-19,
   libbenchmark-timer-perl,
   libfile-which-perl, libregexp-common-perl, libexporter-lite-perl,
   libgetopt-tabular-perl, libterm-readkey-perl,
-  frama-c-base <!nocheck>
+#  frama-c-base <!nocheck>
 Build-Conflicts: kcc
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/csmith-project/creduce
 
 Package: creduce
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-  clang-format-17,
+  clang-format-19,
   libbenchmark-timer-perl,
   libfile-which-perl, libregexp-common-perl, libexporter-lite-perl,
   libgetopt-tabular-perl, libterm-readkey-perl,
